Source: ubiquity
Section: admin
Priority: optional
Uploaders: Colin Watson <cjwatson@ubuntu.com>, Evan Dandrea <ev@ubuntu.com>
Build-Depends: adwaita-icon-theme,
               apt,
               autopoint,
               bf-utf-source,
               check,
               dash,
               dctrl-tools,
               debconf-utils,
               debhelper (>= 9),
               devio,
               dh-autoreconf,
               dh-di (>= 3),
               dh-systemd,
               dpkg-dev (>= 1.15.7),
               gir1.2-nma-1.0,
               gir1.2-soup-2.4,
               gir1.2-timezonemap-1.0,
               gir1.2-webkit2-4.0,
               gir1.2-xkl-1.0,
               gobject-introspection,
               imagemagick,
               intltool (>= 0.40.0),
               intltool-debian (>= 0.30+20040212),
               iso-codes,
               isoquery,
               keymapper (>= 0.5.3-7),
               libblkid-dev,
               libbogl-dev,
               libcairo2-dev,
               libdebconfclient0-dev (>= 0.68),
               libdebian-installer4-dev (>= 0.76),
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.20),
               libido3-0.1-dev,
               libindicator3-dev,
               libiw-dev (>= 27+28pre9),
               liblocale-gettext-perl,
               libparted-dev (>= 2.2),
               librsvg2-bin,
               libsubunit-dev,
               linux-base (>= 3.2),
               locales,
               pep8,
               pkg-config,
               po-debconf (>= 1.0),
               pyflakes3 (>= 0.7.2),
               python-gi-dev,
               python-scour,
               python3-all (>= 3.1),
               python3-apt (>= 0.7.100.3~),
               python3-cairo,
               python3-dbus,
               python3-debconf,
               python3-gi,
               python3-gi-cairo,
               python3-icu (>= 1.0),
               python3-mock (>= 0.7.0),
               python3-pam,
               rename,
               tzdata,
               ubuntu-artwork,
               udev,
               wget,
               xkb-data (>= 0.9),
               xkb-data-i18n,
               xvfb
Standards-Version: 3.9.4
X-Python3-Version: >= 3.1
XS-Testsuite: autopkgtest
Vcs-Git: https://invent.kde.org/neon/forks/ubiquity
Vcs-Browser: https://invent.kde.org/neon/forks/ubiquity
Maintainer: Neon CI <neon@kde.org>

Package: ubiquity
Architecture: any
Depends: adduser,
         apt-clone,
         archdetect-deb,
         cryptsetup,
         dbus-x11,
         dpkg-repack,
         grub-common [any-amd64 any-i386],
         iso-codes,
         language-selector-common (>= 0.4.16),
         laptop-detect,
         lsb-release,
         ntfs-3g (>= 1:2011.1.15AR.4+2011.4.12-1) [any-alpha any-amd64 any-i386],
         os-prober,
         passwd,
         policykit-1,
         python3-apt (>= 0.7.100.3~),
         python3-debconf,
         python3-icu (>= 1.0),
         python3-pam,
         rdate,
         sbsigntool [amd64],
         ubiquity-artwork-${mangled-version},
         ubiquity-casper,
         ubiquity-frontend-${mangled-version},
         wget,
         ${console-setup-depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: btrfs-tools,
            dmraid,
            flash-kernel [armel armhf],
            grub-pc [any-amd64 any-i386] | grub [any-amd64 any-i386] | grub-efi-amd64 [any-amd64] | grub-efi-ia32 [any-i386],
            hfsutils [powerpc],
            lvm2,
            u-boot-tools [armel armhf],
            ubuntu-drivers-common,
            yaboot [powerpc]
Conflicts: espresso,
           espresso-grub,
           espresso-kbd-chooser,
           espresso-keyboard-setup,
           espresso-locale,
           espresso-timezone,
           espresso-utils,
           espresso-yaboot,
           partman,
           ubuntu-express,
           user-setup (<< 0.05ubuntu6)
Replaces: espresso,
          espresso-grub,
          espresso-kbd-chooser,
          espresso-keyboard-setup,
          espresso-locale,
          espresso-timezone,
          espresso-utils,
          espresso-yaboot,
          partman,
          ubiquity-frontend-gtk (<< 2.3.8),
          ubuntu-express,
          user-setup (<< 0.05ubuntu6)
Description: Ubuntu live CD installer
 This is a simple live CD installer designed to integrate well with Debian-
 and Ubuntu-based systems, and to reuse code from d-i for ease of
 maintenance.
 .
 Installing this package on a normal system is unlikely to be useful.

Package: ubiquity-ubuntu-artwork
Architecture: all
Depends: ${misc:Depends}
Conflicts: espresso-ubuntu-artwork,
           espresso-ubuntu-doc,
           ubiquity-ubuntu-doc,
           ubuntu-express-ubuntu-artwork,
           ubuntu-express-ubuntu-doc
Replaces: espresso-ubuntu-artwork,
          espresso-ubuntu-doc,
          ubiquity (<< 1.13.0),
          ubiquity-ubuntu-doc,
          ubuntu-express-ubuntu-artwork,
          ubuntu-express-ubuntu-doc
Provides: ubiquity-artwork-${mangled-version}
Description: Ubuntu artwork for Ubiquity live installer
 This package provides Ubuntu-themed user interface artwork, help files, and
 user interface text for the Ubiquity live CD installer.

Package: ubiquity-frontend-gtk
Architecture: amd64 arm64 armhf i386 powerpc ppc64el
Pre-Depends: ${misc:Pre-Depends}
Depends: busybox-static | busybox,
         gir1.2-gtk-3.0 (>= 3.20),
         gir1.2-nma-1.0,
         gir1.2-pango-1.0,
         gir1.2-soup-2.4,
         gir1.2-timezonemap-1.0,
         gir1.2-vte-2.91,
         gir1.2-webkit2-4.0,
         gir1.2-xkl-1.0,
         iso-codes,
         metacity | marco | xfwm4 | matchbox-window-manager | lubuntu-default-settings | openbox | gnome-shell | budgie-core,
         python3-cairo,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         sensible-utils,
         ubiquity (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gnome-control-center | feh
Conflicts: espresso-frontend-gtk,
           ubiquity (<< 2.4.3),
           ubuntu-express-frontend-gtk
Replaces: espresso-frontend-gtk,
          ubiquity (<< 2.4.3),
          ubuntu-express-frontend-gtk
Provides: indicator-renderer, ubiquity-frontend-${mangled-version}
Description: GTK+ frontend for Ubiquity live installer
 This package provides a GTK+-based user interface frontend for the Ubiquity
 live CD installer.

Package: ubiquity-frontend-kde
Architecture: all
Depends: kde-window-manager | kwin,
         python3-dbus,
         python3-dbus.mainloop.pyqt5,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         ubiquity (= ${binary:Version}),
         xauth,
         ${misc:Depends},
         ${python3:Depends}
Provides: ubiquity-frontend-${mangled-version}
Description: KDE frontend for Ubiquity live installer
 This package provides a KDE-based user interface frontend for the Ubiquity
 live CD installer.

Package: ubiquity-frontend-debconf
Architecture: any
Depends: bogl-bterm (>= 0.1.18-2ubuntu4),
         debconf (>= 1.5.24ubuntu2) | cdebconf,
         tasksel,
         ubiquity (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Provides: ubiquity-frontend-${mangled-version}
Description: debconf frontend for the Ubiquity live installer
 This package provides a debconf-based user interface frontend for the
 Ubiquity live CD installer.

Package: oem-config
Architecture: all
Depends: oem-config-frontend-${mangled-version},
         procps,
         ubiquity (= ${binary:Version}),
         ${misc:Depends}
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-gtk (<< 1.54.13),
          oem-config-kde (<< 1.54.13),
          oem-config-keyboard,
          oem-config-locale,
          oem-config-timezone
Description: Perform end-user configuration after initial OEM installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: all
Depends: aptdaemon,
         oem-config (= ${source:Version}),
         python3-aptdaemon.gtk3widgets,
         ubiquity-frontend-gtk (= ${source:Version}),
         ${misc:Depends}
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
Description: GTK+ frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: oem-config (= ${source:Version}),
         ubiquity-frontend-kde (= ${source:Version}),
         ${misc:Depends}
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
Description: KDE frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-debconf
Architecture: all
Depends: oem-config (= ${source:Version}),
         ubiquity-frontend-debconf (= ${source:Version}),
         ${misc:Depends}
Provides: oem-config-frontend-${mangled-version}
Description: debconf frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a frontend to oem-config that simply arranges for questions to be
 asked using the normal debconf frontend.
